Bug 23192 - Cancelling holds over returning to wrong tab on waitingreserves.pl
Summary: Cancelling holds over returning to wrong tab on waitingreserves.pl
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 21628
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-24 11:54 UTC by Nick Clemens
Modified: 2019-08-06 19:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23192: Correct tab input on waiting_holds.inc (3.22 KB, patch)
2019-06-24 11:57 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23192: Correct tab input on waiting_holds.inc (3.26 KB, patch)
2019-07-05 18:34 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23192: Correct tab input on waiting_holds.inc (3.33 KB, patch)
2019-07-06 12:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-06-24 11:54:46 UTC
Bug 21628 moved the tables to an include, however, it didn't take the 'tab' input into account

To recreate:
1 - Place a hold
2 - Confirm the hold
3 - In the db change the expiration date:
UPDATE reserves SET expirationdate = '2019-01-01';
4 - Go to Home->Circulation->Holds awaiting pickup
5 - View your holds on the 'Holds waiting over' tab
6 - Inspect the button, note tab = "holdswaiting"
Comment 1 Nick Clemens 2019-06-24 11:57:23 UTC
Created attachment 90942 [details] [review]
Bug 23192: Correct tab input on waiting_holds.inc

To test:
 1 - Place 2 holds
 2 - Confirm the holds
 3 - In the db change the expiration date:
UPDATE reserves SET expirationdate = '2019-01-01';
 4 - Go to Home->Circulation->Holds awaiting pickup
 5 - View your holds on the 'Holds waiting over' tab
 6 - Inspect the cancel button for one of the holds, note tab = "holdswaiting"
 7 - Apply patch
 8 - Refresh the page
 9 - Inspect the buttton, note tab = "holdsover"
10 - Cancel the hold
11 - Note you return to the holds over tab
Comment 2 Maryse Simard 2019-07-05 18:34:24 UTC
Created attachment 91359 [details] [review]
Bug 23192: Correct tab input on waiting_holds.inc

To test:
 1 - Place 2 holds
 2 - Confirm the holds
 3 - In the db change the expiration date:
UPDATE reserves SET expirationdate = '2019-01-01';
 4 - Go to Home->Circulation->Holds awaiting pickup
 5 - View your holds on the 'Holds waiting over' tab
 6 - Inspect the cancel button for one of the holds, note tab = "holdswaiting"
 7 - Apply patch
 8 - Refresh the page
 9 - Inspect the buttton, note tab = "holdsover"
10 - Cancel the hold
11 - Note you return to the holds over tab

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Katrin Fischer 2019-07-06 12:14:50 UTC
Created attachment 91392 [details] [review]
Bug 23192: Correct tab input on waiting_holds.inc

To test:
 1 - Place 2 holds
 2 - Confirm the holds
 3 - In the db change the expiration date:
UPDATE reserves SET expirationdate = '2019-01-01';
 4 - Go to Home->Circulation->Holds awaiting pickup
 5 - View your holds on the 'Holds waiting over' tab
 6 - Inspect the cancel button for one of the holds, note tab = "holdswaiting"
 7 - Apply patch
 8 - Refresh the page
 9 - Inspect the buttton, note tab = "holdsover"
10 - Cancel the hold
11 - Note you return to the holds over tab

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-07-15 11:22:04 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-07-30 06:12:48 UTC
Pushed to 19.05.x for 19.05.03
Comment 6 Fridolin SOMERS 2019-07-30 07:33:40 UTC
Note there is a second commit :
Bug 23192: (RM follow-up) Add missing filters to waiting_holds.inc
Comment 7 Lucas Gass 2019-08-06 19:17:33 UTC
backported to 18.11.x for 18.11.09